Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.property
Class ConfigurableEntityPk

    java.lang.Object
      com.bea.p13n.property.ConfigurableEntityPk

All Implemented Interfaces
  Serializable

Direct Known Subclasses:
  CustomerPk

    public class ConfigurableEntityPk

extends Object
implements Serializable

Primary key class for Configurable Entity EJB's

See Also
  Serialized Form

Field Summary
`String` | `identifier`

Constructor Summary
`ConfigurableEntityPk()` Default constructor.
`ConfigurableEntityPk(String identifier)` Constructor that takes in all of the primary key attributes as parameters.

Method Summary
`int` | `compareTo(Object o)` Implements the compareTo method.
`boolean` | `equals(Object o)`
`int` | `hashCode()` override the hashCode() method
`String` | `toString()` Returns the stringified version of the key class.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### identifier

    public String identifier

Constructor Detail

### ConfigurableEntityPk

    public ConfigurableEntityPk()

  Default constructor.

### ConfigurableEntityPk

    public ConfigurableEntityPk(String identifier)

  Constructor that takes in all of the primary key attributes as parameters. All attribute values will be set to the input parameter values.

Method Detail

### compareTo

    public int compareTo(Object o)

  Implements the compareTo method. The following conditions hold true:

         (a > b) ==> (b < a)
         (a < b) ==> (b > a)
         (a = b) ==> (b = a)

### toString

    public String toString()

  Returns the stringified version of the key class.

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  override the hashCode() method

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.